/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dto;

import java.util.Date;

/**
 * 单表生成Entity
 * 
 * @author tangwc
 * @version 2018-05-23
 */
public class UserAndIsFriendDto {

	private String userCode; // 用户code
	private String name; // 用户姓名（个人）/企业名称（企业）
	private String foreignName; // 外文名称
	private String headPortrait; // 头像（存放头像相对存放地址）
	private String email; // 邮箱地址（个人用户）
	private String addrProvince; // 地址-省（中国）
	private String addrCity; // 地址-市（中国）
	private String addrArea; // 地址-区（中国）
	private String phoneCode; // 国家区号码
	private String image; // 名片（个人）/营业执照（企业）
	private String identityFlag; // 身份标识[0-个人；1-企业]
	private String vipFlag; // 会员标识[0-非会员；1-会员]
	private String addDetail;// 工作地点详细地址
	private double addLongitude;// 工作地点-经度
	private double addLatitude;// 工作地点-纬度
	private String website;// 企业官网
	private String address;
	private String coName;// 当前职位头衔对应的企业
	private String positionTitle; // 当前职位头衔
	private String isFriend; // 是否是好友 0不是好友 1是好友 2待查看人确认 3待被查看人确认 9查看自己的时候
	private String introduction; // 个人、企业简介
	
	// 筹开标识
	private String prepareFlag;
	// 筹开年份
	private String prepareYear;
	// 筹开季度
	private String prepareQuarter;
	
	private String shareCode; // 用于分享的密文
	
	private Date createDate; 

	public UserAndIsFriendDto() {
		super();
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	// @Length(min=1, max=100, message="用户姓名（个人）/企业名称（企业）长度必须介于 1 和 100 之间")
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	// @Length(min=0, max=255, message="头像（存放头像相对存放地址）长度必须介于 0 和 255 之间")
	public String getHeadPortrait() {
		return headPortrait;
	}

	public void setHeadPortrait(String headPortrait) {
		this.headPortrait = headPortrait;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getAddrProvince() {
		return addrProvince;
	}

	public void setAddrProvince(String addrProvince) {
		this.addrProvince = addrProvince;
	}

	public String getAddrCity() {
		return addrCity;
	}

	public void setAddrCity(String addrCity) {
		this.addrCity = addrCity;
	}

	// @Length(min=0, max=6, message="地址-区（中国）长度必须介于 0 和 6 之间")
	public String getAddrArea() {
		return addrArea;
	}

	public void setAddrArea(String addrArea) {
		this.addrArea = addrArea;
	}

	// @Length(min=0, max=1, message="身份标识[0-个人；1-企业]长度必须介于 0 和 1 之间")
	public String getIdentityFlag() {
		return identityFlag;
	}

	public void setIdentityFlag(String identityFlag) {
		this.identityFlag = identityFlag;
	}

	// @Length(min=1, max=1, message="会员标识[0-非会员；1-会员]长度必须介于 1 和 1 之间")
	public String getVipFlag() {
		return vipFlag;
	}

	public void setVipFlag(String vipFlag) {
		this.vipFlag = vipFlag;
	}

	public String getAddDetail() {
		return addDetail;
	}

	public void setAddDetail(String addDetail) {
		this.addDetail = addDetail;
	}

	public double getAddLongitude() {
		return addLongitude;
	}

	public void setAddLongitude(double addLongitude) {
		this.addLongitude = addLongitude;
	}

	public double getAddLatitude() {
		return addLatitude;
	}

	public void setAddLatitude(double addLatitude) {
		this.addLatitude = addLatitude;
	}

	public String getWebsite() {
		return website;
	}

	public void setWebsite(String website) {
		this.website = website;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getCoName() {
		return coName;
	}

	public void setCoName(String coName) {
		this.coName = coName;
	}

	public String getForeignName() {
		return foreignName;
	}

	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}

	public String getIsFriend() {
		return isFriend;
	}

	public void setIsFriend(String isFriend) {
		this.isFriend = isFriend;
	}

	public String getPhoneCode() {
		return phoneCode;
	}

	public void setPhoneCode(String phoneCode) {
		this.phoneCode = phoneCode;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

	public String getPositionTitle() {
		return positionTitle;
	}

	public void setPositionTitle(String positionTitle) {
		this.positionTitle = positionTitle;
	}

	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public String getPrepareFlag() {
		return prepareFlag;
	}

	public void setPrepareFlag(String prepareFlag) {
		this.prepareFlag = prepareFlag;
	}

	public String getPrepareYear() {
		return prepareYear;
	}

	public void setPrepareYear(String prepareYear) {
		this.prepareYear = prepareYear;
	}

	public String getPrepareQuarter() {
		return prepareQuarter;
	}

	public void setPrepareQuarter(String prepareQuarter) {
		this.prepareQuarter = prepareQuarter;
	}

	public String getShareCode() {
		return shareCode;
	}

	public void setShareCode(String shareCode) {
		this.shareCode = shareCode;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	

}